.btn{
    &,
    &:link, &:visited{
        text-decoration: none;
        text-transform: uppercase;
        font-size: $default-font-size;
        padding: 1.5rem 4rem;
        display: inline-block;
        border-radius: 100px;
    
        position: relative;
    
        transition: all 0.2s;

        // Change for the <button> element
        border: none;
        cursor: pointer;
    }

    &:hover{
        transform: translateY(-.3rem);
        box-shadow: 0 1rem 2rem rgba($color-black, 0.2);

        &::after{
            transform: scaleX(1.4) scaleY(1.6);
            opacity: 0;
        }
    }

    &:active, &:focus{
        outline: none;
        transform: translateY(-.1rem);
        box-shadow: 0 .5rem 1rem rgba($color-black, 0.2);
    }

    &--white{
        background-color: $color-white;
        color: $color-grey;

        &::after{
            background-color: $color-white;
        }
    }

    &--green{
        background-color: $color-primary;
        color: $color-white;

        &::after{
            background-color: $color-primary;
        }
    }

    &::after{
        content: "";
        display: inline-block;
        height: 100%;
        width: 100%;
        border-radius: 100px;
    
        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;
    
        transition: all .3s;
    }
    
    &--animated{
        animation: moveInBottom 1s ease-out .75s;
        animation-fill-mode: backwards;
    }
}

.btn-text{

    &:link, &:visited{
        color: $color-primary;
        display: inline-block;
        font-size: $default-font-size;
        text-decoration: none;

        border-bottom: 1px solid $color-primary;
        padding: 5px;

        transition: all .2s;
    }

    &:hover{
        background-color: $color-primary;
        color: $color-white;
        box-shadow: 0 1rem 2rem rgba($color-black, 0.15);
        transform: translateY(-2px);
    }

    &:active{
        box-shadow: 0 .5rem 1rem rgba($color-black, 0.15);
        transform: translateY(0);
    }
}